osl::eval::ml::PawnDrop Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { ONE_DIM = 9 , DIM = ONE_DIM * 2 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)

## Detailed Description

Definition at line 18 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 21 of file minorPiece.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::PawnDrop::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 38 of file minorPiece.cc.

References osl::eval::ml::PawnDropBoth::attack_table, osl::eval::ml::PawnDropBoth::defense_table, ONE_DIM, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc